<?php 

add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles' );

function theme_enqueue_styles() {

wp_enqueue_style('parent-style', get_template_directory_uri() . '/style.css');

}

/**
 * Remove Divi sidebar from all WooCommerce Product pages (as well as Shop and Category pages)
 */
function mytheme_divi_output_content_wrapper_end() {
	echo '
					</div> <!-- #left-area -->
				</div> <!-- #content-area -->
			</div> <!-- .container -->
		</div> <!-- #main-content -->';
}
function mytheme_remove_divi_sidebar() {
	remove_action( 'woocommerce_after_main_content', 'et_divi_output_content_wrapper_end', 10 );
	add_action( 'woocommerce_after_main_content', 'mytheme_divi_output_content_wrapper_end', 10 );	
}
add_action( 'init', 'mytheme_remove_divi_sidebar', 10 );
/**
 * Adjust the WooCommerce body classes for all WooCommerce Product pages (as well as Shop and Category pages)
 */
function mytheme_body_classes( $classes ) {
	if ( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
		$remove_classes = array('et_right_sidebar', 'et_left_sidebar', 'et_includes_sidebar');
		foreach( $classes as $key => $value ) {
		      if ( in_array( $value, $remove_classes ) ) unset( $classes[$key] );
		}
		$classes[] = 'et_full_width_page';
	}
	return $classes;
}
add_filter('body_class', 'mytheme_body_classes', 20);

add_filter('woocommerce_email_subject_new_order', 'change_admin_email_subject', 1, 2);

function change_admin_email_subject( $subject, $order ) {
global $woocommerce;

    $exfood_id = $order->get_id();
    $order_method = get_post_meta( $exfood_id, 'exwfood_order_method', true );
	$order_method = $order_method=='takeaway' ? esc_html__('Takeaway','woocommerce-food') : ( $order_method=='dinein' ? esc_html__('Dine-in','woocommerce-food') : esc_html__('Delivery','woocommerce-food'));
	



$subject = sprintf( $order_method.' | Nouvelle commande (#%s) de %s %s', $order->id, $order->billing_first_name, $order->billing_last_name);

return $subject;
}




